<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layout}">

<head>
    <meta charset="UTF-8">
    <title>UJIAN TAHFIDZ</title>
</head>

<body>
    <section layout:fragment="main" class="content">
        <div class="breadcomb-area">
            <div class="container">
                <div class="row">
                    <div class="col-md-12 col-xs-12">
                        <div class="breadcomb-list">
                            <div class="row">
                                <div class="col-lg-6 col-md-6 col-xs-12">
                                    <div class="breadcomb-wp">
                                        <div class="breadcomb-icon">
                                            <i class="notika-icon notika-form"></i>
                                        </div>
                                        <div class="breadcomb-ctn">
                                            <h2>Form Pendaftaran</h2>
                                            <p>UJIAN TAHFIDZ & KOMPREHENSIF</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-6 col-md-6 col-xs-12">
                                    <div class="breadcomb-report">
                                        <a th:href="@{/dashboard}">
                                            <button class="btn btn-primary"><i class="fa fa-arrow-circle-left"></i>
                                                Back</button>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="container">
            <div class="bounceIn">
                <div class="row">
                    <div class="col-md-12 col-xs-12">
                        <div class="normal-table-list mg-t-30">
                            <div class="bsc-tbl-st" style="padding: 10px;">
                                <div class="row">
                                    <div class="col-md-6">
                                        <a th:href="@{/tahfidz}" class="btn btn-primary btn-block">Ujian Tahfidz</a>
                                    </div>
                                    <div class="col-md-6">
                                        <a th:href="@{/kompre}" class="btn btn-warning btn-block">Sidang
                                            Komperehensif</a>
                                    </div>

                                </div>
                                <!--                            <div th:if="${enable == false}">-->
                                <!--                                <div class="row" style="margin-top: 20px;">-->
                                <!--                                    <div class="col-md-12 alert alert-danger">Fitur pendaftaran tahfidz tidak bisa di akses. Silahkan hubungi bagian keuangan.</div>-->
                                <!--                                </div>-->
                                <!--                            </div>-->

                                <div>
                                    <div th:if="${ipk < 2.75}">
                                        <div class="row" style="margin-top: 20px;">
                                            <div class="col-md-12 alert alert-danger">IPK anda tidak memenuhi syarat
                                                untuk melaksanakan ujian tahfidz.</div>
                                        </div>
                                    </div>

                                    <div th:if="${ipk >= 2.75}">
                                        <div class="row" style="margin-top: 20px;"
                                            th:if="${dataTerakhir == null || dataTerakhir.statusApprovalAdmin == 'REJECTED' || dataTerakhir.statusLulus == dataTerakhir.statusLulus.TIDAK_LULUS}">
                                            <div class="col-md-12">
                                                <a th:href="@{/formulirtahfidz(id = ${data.getId()})}"
                                                    class="btn btn-warning">Download Formulir Ujian Tahfidz</a>
                                            </div>
                                            <div class="col-md-12" style="margin-top: 20px;">
                                                <form th:action="@{/tahfidz/kirim}" method="post"
                                                    enctype="multipart/form-data">
                                                    <div class="form-group">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <label>Nama Mahasiswa</label>
                                                                <input type="text" disabled class="form-control"
                                                                    th:value="${data.getNama()}">
                                                            </div>
                                                            <div class="col-md-6">
                                                                <label>Nim</label>
                                                                <input type="text" disabled class="form-control"
                                                                    th:value="${data.getNim()}">
                                                                <input type="hidden" name="jenisUjian"
                                                                    value="UjianTahfidz">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <label>Upload Form Pendaftaran yang sudah diisi dan di TTD <span
                                                                        style="color: red">*</span></label>
                                                                <input type="file" name="image" class="form-control">
                                                            </div>
                                                            <div class="col-md-6">
                                                                <label>Status Ujian</label>
                                                                <select name="statusTahfidz" class="form-control">
                                                                    <option value="REGULER">Reguler</option>
                                                                    <option value="HP">HP</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <button class="btn btn-success">Kirim</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>

                                        <div class="row" style="margin-top: 20px;" th:if="${list.size() != 0}">
                                            <div class="col-md-12">
                                                <div class="table-responsive">
                                                    <table class="table table-striped">
                                                        <thead>
                                                            <tr>
                                                                <th>Dokumen</th>
                                                                <th>Tanggal Pengajuan</th>
                                                                <th>Status</th>
                                                                <th>Nilai</th>
                                                                <th>Keterangan</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <tr th:each="data, row:${list}">
                                                                <td><a th:href="@{/formulir/{file}(file = ${data.id})}"
                                                                        target="_blank">Lihat Formulir</a></a></td>
                                                                <td th:text="${#temporals.format(data.tanggalPengajuan, 'dd-MMMM-yyyy')}"></td>
                                                        <td>
                                                            <span th:if="${data.statusApprovalAdmin == 'WAITING'}" class="btn btn-warning btn-sm">Menunggu Approval</span>
                                                            <span th:if="${data.statusApprovalAdmin == 'APPROVED' && data.statusLulus == data.statusLulus.NOT_YET_SCHEDULED }" class="btn btn-warning btn-sm">Belum Dijadwalkan</span>
                                                            <span th:if="${data.statusApprovalAdmin == 'APPROVED' && data.statusLulus == data.statusLulus.SCHEDULED }" class="btn btn-info btn-sm">Dijadwalkan</span>
                                                            <span th:if="${data.statusApprovalAdmin == 'APPROVED' && data.statusLulus == data.statusLulus.LULUS }" class="btn btn-success btn-sm">Lulus</span>
                                                            <span th:if="${data.statusApprovalAdmin == 'APPROVED' && data.statusLulus == data.statusLulus.TIDAK_LULUS }" class="btn btn-danger btn-sm">Tidal Lulus</span>
                                                            <span th:if="${data.statusApprovalAdmin == 'REJECTED'}" class="btn btn-danger btn-sm">REJECTED</span>
                                                        </td>
                                                        <td>
                                                            <p th:if="${data.nilai != null}" th:text="${data.nilai}"></p>
                                                            <p th:if="${data.nilai == null}">Belum Dinilai</p>
                                                        </td>
                                                        <td>
                                                            <p th:if="${data.statusApprovalAdmin == 'WAITING'}">Menunggu Approval Akademik</p>
                                                            <p th:if="${data.statusApprovalAdmin != 'WAITING'}" th:text="${data.komentarAdmin}">Menunggu Approval Akademik</p>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>


                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
</body>
</html>